class java(
	$version='java8',
    $oracle_ppa_repository = 'ppa:webupd8team/java'
) {
  if $version == 'java6' or $version == 'java7' or $version == 'java8'{
	if $::osfamily == Debian {
		if $version == 'java6'{
			$packagename=['oracle-java6-installer']
		}
		if $version == 'java7'{
			$packagename=['oracle-java7-installer']
		}
		if $version == 'java8'{
			$packagename=['oracle-java8-installer']
		}
		
		# add ppa package
		exec {'general_apt_update': 
			command => 'apt-get update', 
		}
		exec {'oracle_installer':
			command => 'add-apt-repository ${oracle_ppa_repository}',
		}
		exec {'oracle_installer_apt_update':
			command => 'apt-get update', 
		}
		
		# set license for Oracle Java
		exec {'set-licence-seen':
		  command => '/bin/echo debconf shared/accepted-oracle-license-v1-1 select true | /usr/bin/debconf-set-selections',
		  onlyif  => '/usr/bin/debconf-get-selections | /bin/grep "accepted-oracle-license-v1-1"|/bin/grep "true"|/usr/bin/wc -l|/bin/grep 0',
		}
		
		package { 'java':
		  name => $packagename,
		  ensure  => 'installed',
		  require => Exec['set-licence-seen'],
		}
	} else {
		err("${::operatingsystem} is currently not supported")
	}
  }
  else { 
    fail("Unknown version, please choose one of these: java6, java7 or java8")
  }
}
